Preparation pour le passage de sarge à etch...

Le
Thierry B
Bonjour,

Je me prépare petit à petit de passer de sarge à etch. Comme je n'ai pas
bcp de temps en ce moment, je veux y aller progressivement.

Je sais qu'à cause de tout ce qui est X, la maj peut etre difficile,
donc je me suis dit que j'allais dans un premier temps, virer tous les
paquets kde et de serveur X, vu que ce n'est pas primordial, au
fonctionnement de mon serveur.

Voila un petit essai en voulant supprimer tout kde:


# dpkg -l|grep "kde"|awk '{print $2}'|tr "" " "
kde-i18n-fr kdebase kdebase-bin kdebase-data kdebase-kio-pl kdelibs-bin
kdelibs-data kdelibs4 kdepasswd kdeprint kdesktop

donc après je tente le:

aptitude purge kde-i18n-fr kdebase kdebase-bin kdebase-data
kdebase-kio-pl kdelibs-bin kdelibs-data kdelibs4 kdepasswd kdeprint kdesktop
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état étendu
Initialisation de l'état des paquets Fait
Lecture des descriptions de tâches Fait
Impossible de trouver le paquet « kdebase-kio-pl ». Cependant, les
paquets suivants comportent « kdebase-kio-pl » dans leur nom :
kdebase-kio-plugins
Certains paquets ont des dépendances non résolues. Ceci peut signifier
que vous avez demandé une situation impossible ou que vous utilisez la
distribution instable qui a besoin de paquets qui n'ont pas encore été créés
ou qui ne sont pas encore sortis « d'incoming ».

Les paquets suivants ont des dépendances non satisfaites :
kghostview: Dépend: kdelibs4 (>= 4:3.3.2-6.4) mais il n'est pas
installable

Donc voila, apparemment, ca commence mal si j'ai des pbs de paquets sous
sarge :-( lol.

Une idée pour bien commencer progressivement ma maj?

Merci :-)


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jean-Yves F. Barbier
Le #9580001
chgt du /etc/apt/sources.list
apt-get update
apt-get dist-upgrade

Thierry B wrote:
Bonjour,

Je me prépare petit à petit de passer de sarge à etch. Comme je n 'ai pas
bcp de temps en ce moment, je veux y aller progressivement.

Je sais qu'à cause de tout ce qui est X, la maj peut etre difficile,
donc je me suis dit que j'allais dans un premier temps, virer tous les
paquets kde et de serveur X, vu que ce n'est pas primordial, au
fonctionnement de mon serveur.

Voila un petit essai en voulant supprimer tout kde:


# dpkg -l|grep "kde"|awk '{print $2}'|tr "n" " "
kde-i18n-fr kdebase kdebase-bin kdebase-data kdebase-kio-pl kdelibs-bin
kdelibs-data kdelibs4 kdepasswd kdeprint kdesktop

donc après je tente le:

aptitude purge kde-i18n-fr kdebase kdebase-bin kdebase-data
kdebase-kio-pl kdelibs-bin kdelibs-data kdelibs4 kdepasswd kdeprint kde sktop
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Impossible de trouver le paquet « kdebase-kio-pl ». Cependant, les
paquets suivants comportent « kdebase-kio-pl » dans leur nom :
kdebase-kio-plugins
Certains paquets ont des dépendances non résolues. Ceci peut signif ier
que vous avez demandé une situation impossible ou que vous utilisez l a
distribution instable qui a besoin de paquets qui n'ont pas encore ét é créés
ou qui ne sont pas encore sortis « d'incoming ».

Les paquets suivants ont des dépendances non satisfaites :
kghostview: Dépend: kdelibs4 (>= 4:3.3.2-6.4) mais il n'est pas
installable

Donc voila, apparemment, ca commence mal si j'ai des pbs de paquets sou s
sarge :-( lol.

Une idée pour bien commencer progressivement ma maj?

Merci :-)





--
I don't give a shit what happens. I want you all to stonewall it. Let t hem
plead the Fifth Amendment, cover up, or anything else if it'll save the p lan.
-- Richard Nixon
Christophe Alonso
Le #9579971
Le mardi 10 juillet 2007 à 23:40 +0200, Thierry B a écrit :
Bonjour,



Bonsoir,

Je me prépare petit à petit de passer de sarge à etch. Comme je n'ai pas
bcp de temps en ce moment, je veux y aller progressivement.



[...]

Une idée pour bien commencer progressivement ma maj?



Peut-être commencer par lire ceci :
http://www.debian.org/releases/stable/releasenotes
Il est un peu excessif de supprimer tous les paquets graphiques, tout de
même... ;-)

Merci :-)



En espérant aider un peu


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Guy Roussin
Le #9579871
Bonjour,

Passer sous sarge en kernel 2.6 si ce n'est déjà fait.
Je pense que c'est le point le plus delicat.
(j'ai pour ma part une appli. proprio qui m'empeche
de passer en 2.6)

Voir pendant quelques jours si tout fonctionne correctement.

Ensuite modif du sources.list ... et dist-upgrade. A mon avis
pas besoin de faire ces manips sur kde.

Guy

Thierry B a écrit :
Bonjour,

Je me prépare petit à petit de passer de sarge à etch. Comme je n 'ai pas
bcp de temps en ce moment, je veux y aller progressivement.

Je sais qu'à cause de tout ce qui est X, la maj peut etre difficile,
donc je me suis dit que j'allais dans un premier temps, virer tous les
paquets kde et de serveur X, vu que ce n'est pas primordial, au
fonctionnement de mon serveur.

Voila un petit essai en voulant supprimer tout kde:


# dpkg -l|grep "kde"|awk '{print $2}'|tr "n" " "
kde-i18n-fr kdebase kdebase-bin kdebase-data kdebase-kio-pl kdelibs-bin
kdelibs-data kdelibs4 kdepasswd kdeprint kdesktop

donc après je tente le:

aptitude purge kde-i18n-fr kdebase kdebase-bin kdebase-data
kdebase-kio-pl kdelibs-bin kdelibs-data kdelibs4 kdepasswd kdeprint kde sktop
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Impossible de trouver le paquet « kdebase-kio-pl ». Cependant, les
paquets suivants comportent « kdebase-kio-pl » dans leur nom :
kdebase-kio-plugins
Certains paquets ont des dépendances non résolues. Ceci peut signif ier
que vous avez demandé une situation impossible ou que vous utilisez l a
distribution instable qui a besoin de paquets qui n'ont pas encore ét é créés
ou qui ne sont pas encore sortis « d'incoming ».

Les paquets suivants ont des dépendances non satisfaites :
kghostview: Dépend: kdelibs4 (>= 4:3.3.2-6.4) mais il n'est pas
installable

Donc voila, apparemment, ca commence mal si j'ai des pbs de paquets sou s
sarge :-( lol.

Une idée pour bien commencer progressivement ma maj?

Merci :-)




Thierry B
Le #9579511
Guy Roussin a écrit :
Bonjour,

Passer sous sarge en kernel 2.6 si ce n'est déjà fait.
Je pense que c'est le point le plus delicat.
(j'ai pour ma part une appli. proprio qui m'empeche
de passer en 2.6)



lol, j'ai toujours eu le kernel 2.6 avec ma sarge.
Je suis en 2.6.15 en ce moemnt sous sarge, et j'utilise aussi udev, car
je mixe avec les backports de sarge.


Voir pendant quelques jours si tout fonctionne correctement.

Ensuite modif du sources.list ... et dist-upgrade. A mon avis
pas besoin de faire ces manips sur kde.



ok, merci.


Guy

Thierry B a écrit :
Bonjour,

Je me prépare petit à petit de passer de sarge à etch. Comme je n'ai pas
bcp de temps en ce moment, je veux y aller progressivement.

Je sais qu'à cause de tout ce qui est X, la maj peut etre difficile,
donc je me suis dit que j'allais dans un premier temps, virer tous les
paquets kde et de serveur X, vu que ce n'est pas primordial, au
fonctionnement de mon serveur.

Voila un petit essai en voulant supprimer tout kde:


# dpkg -l|grep "kde"|awk '{print $2}'|tr "n" " "
kde-i18n-fr kdebase kdebase-bin kdebase-data kdebase-kio-pl kdelibs-bin
kdelibs-data kdelibs4 kdepasswd kdeprint kdesktop

donc après je tente le:

aptitude purge kde-i18n-fr kdebase kdebase-bin kdebase-data
kdebase-kio-pl kdelibs-bin kdelibs-data kdelibs4 kdepasswd kdeprint
kdesktop
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Impossible de trouver le paquet « kdebase-kio-pl ». Cependant, les
paquets suivants comportent « kdebase-kio-pl » dans leur nom :
kdebase-kio-plugins
Certains paquets ont des dépendances non résolues. Ceci peut signifier
que vous avez demandé une situation impossible ou que vous utilisez la
distribution instable qui a besoin de paquets qui n'ont pas encore été
créés
ou qui ne sont pas encore sortis « d'incoming ».

Les paquets suivants ont des dépendances non satisfaites :
kghostview: Dépend: kdelibs4 (>= 4:3.3.2-6.4) mais il n'est pas
installable

Donc voila, apparemment, ca commence mal si j'ai des pbs de paquets sous
sarge :-( lol.

Une idée pour bien commencer progressivement ma maj?

Merci :-)









--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry B
Le #9579501
Christophe Alonso a écrit :
Le mardi 10 juillet 2007 à 23:40 +0200, Thierry B a écrit :
Bonjour,



Bonsoir,

Je me prépare petit à petit de passer de sarge à etch. Comme je n'ai pas
bcp de temps en ce moment, je veux y aller progressivement.



[...]

Une idée pour bien commencer progressivement ma maj?



Peut-être commencer par lire ceci :
http://www.debian.org/releases/stable/releasenotes
Il est un peu excessif de supprimer tous les paquets graphiques, tout de
même... ;-)

Merci :-)



En espérant aider un peu





Ok,

J'avais lu en fait la rease note.

Ce que je ferai c'est qu'à la base, je virerai rien et s'il a besoin de
virer des packages X pour que ca marche, je note les noms et je vire lol.

Merci.


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry B
Le #9579481
Jean-Yves F. Barbier a écrit :
chgt du /etc/apt/sources.list
apt-get update
apt-get dist-upgrade



Ok, enfin , ca j'allais forcément le faire lol, mais avec aptitude ;-)

Merci quand même pour la réponse


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Francois Boisson
Le #9579461
Le Tue, 10 Jul 2007 23:40:05 +0200
Thierry B
Bonjour,

Je me prépare petit à petit de passer de sarge à etch. Comme je n'ai pas
bcp de temps en ce moment, je veux y aller progressivement.



Tu trouveras ici quelques petits soucis que j'ai rencontrés après une mise à
jour. http://forum.debian-fr.org/viewtopic.php?ts95
En gros, le bazar vient si tu n'étais pas en UTF-8 avant.
J'y rajoute les choses suivantes:

* Maple et autres, tu passes en 2.6 et les librairies utilisées sont
les /lib/tls et non /lib. Pas mal de programmes commerciaux plantent à cause
de cela, tu peux t'en sortir en faisant
$ LD_PRELOAD="/lib/libc.so.6 /lib/libm.so.6" le_programme

Ça fonctionnera mieux.


François Boisson




Je sais qu'à cause de tout ce qui est X, la maj peut etre difficile,
donc je me suis dit que j'allais dans un premier temps, virer tous les
paquets kde et de serveur X, vu que ce n'est pas primordial, au
fonctionnement de mon serveur.

Voila un petit essai en voulant supprimer tout kde:


# dpkg -l|grep "kde"|awk '{print $2}'|tr "n" " "
kde-i18n-fr kdebase kdebase-bin kdebase-data kdebase-kio-pl kdelibs-bin
kdelibs-data kdelibs4 kdepasswd kdeprint kdesktop

donc après je tente le:

aptitude purge kde-i18n-fr kdebase kdebase-bin kdebase-data
kdebase-kio-pl kdelibs-bin kdelibs-data kdelibs4 kdepasswd kdeprint kdesktop
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Impossible de trouver le paquet « kdebase-kio-pl ». Cependant, les
paquets suivants comportent « kdebase-kio-pl » dans leur nom :
kdebase-kio-plugins
Certains paquets ont des dépendances non résolues. Ceci peut signifier
que vous avez demandé une situation impossible ou que vous utilisez la
distribution instable qui a besoin de paquets qui n'ont pas encore été créés
ou qui ne sont pas encore sortis « d'incoming ».

Les paquets suivants ont des dépendances non satisfaites :
kghostview: Dépend: kdelibs4 (>= 4:3.3.2-6.4) mais il n'est pas
installable

Donc voila, apparemment, ca commence mal si j'ai des pbs de paquets sous
sarge :-( lol.

Une idée pour bien commencer progressivement ma maj?

Merci :-)


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Francois Boisson
Le #9579431
Le Wed, 11 Jul 2007 12:22:33 +0200
Guy Roussin
(j'ai pour ma part une appli. proprio qui m'empeche
de passer en 2.6)



Essaye de faire un

$ export LD_PRELOAD="/lib/libc.so.6 /lib/libm.so.6"

avant de lancer ton appli...


François Boisson


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Jean-Yves F. Barbier
Le #9579371
Thierry B wrote:
Jean-Yves F. Barbier a écrit :
chgt du /etc/apt/sources.list
apt-get update
apt-get dist-upgrade



Ok, enfin , ca j'allais forcément le faire lol, mais avec aptitude ;- )



sais pas, je l'ai testé 2-3 fois: jamais trouvé aucun avantage
par rapport au couple apt/dselect


--
The whole white race is a monster who is always hungry, and what he
eats is land. Chiksika, (Shawnee)
Daniel Huhardeaux
Le #9579321
Jean-Yves F. Barbier wrote:
[...]
sais pas, je l'ai testé 2-3 fois: jamais trouvé aucun avantage
par rapport au couple apt/dselect


Deux avantages, à chaud: un seul programme ;-) mais surtout, lors d'une
désinstallation, aptitude retire également les paquets dépendants de
celui retiré, plus de paquets orphelins donc.

--
Daniel Huhardeaux _____ ____ ____ _____ _____ _
enum +48 22 434 6431 (_ __) _ ) _ (_ __) _ _(_)
iaxtel 1-700-849-6983 / / / // / // / / / / /_/ / /
sip/iax:callto /_/ ( ___( ___/ /_/ (_/ (_/_/.net FWD# 422493


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme